.. _adaptor-label:

Adaptors
========
These modules execute job on dedicated platforms, remotely or locally, they are supposed to control job processing once submitted via services submissions

Constants
---------
.. automodule:: waves.wcore.adaptors.const

Exceptions
----------
.. automodule:: waves.wcore.adaptors.exceptions

Adaptor Loader
--------------
.. automodule:: waves.wcore.adaptors.loader

Utilities classes
-----------------
.. automodule:: waves.wcore.adaptors.utils

Adaptor base class
------------------
.. automodule:: waves.wcore.adaptors.adaptor
    :members:
    :show-inheritance:

Shell script related adaptors class
-----------------------------------
.. automodule:: waves.wcore.adaptors.shell
    :members:
    :show-inheritance:

Api related adaptor base class
------------------------------
.. automodule:: waves.wcore.adaptors.api
    :members:
    :show-inheritance:

Cluster related adaptors
------------------------
.. automodule:: waves.wcore.adaptors.cluster
    :members:
    :show-inheritance:
